#ifndef _xdeb_h
#define _xdeb_h

#include <xfs_common.h>

extern int xfsdeb;

#ifdef DEBUG
#  define XFSDEB(mask, args) do { if (mask&xfsdeb) printf args; } while (0)
#else
#  define XFSDEB(args) do { ; } while (0)
#endif

/* masks */
#define XDEBANY		0xffffffff
#define XDEBDEV		0x00000001
#define XDEBMSG		0x00000002
#define XDEBDNLC	0x00000004
#define XDEBNODE	0x00000008

#define XDEBVNOPS	0x00000010
#define XDEBVFOPS	0x00000020

#endif /* _xdeb_h */
